Bug 1014567 - Jetty server versions must be unique for all bpms modules
Jetty server versions must be unique for all bpms modules
Status: CLOSED WONTFIX
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
All All
medium Severity medium
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:02 EDT by Roger Martínez
Modified: 2015-12-07 10:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 10:17:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Martínez 2013-10-02 07:02:45 EDT
Description of problem: Currently there are several jetty server versions used in bpms modules. GWT in hosted mode MUST use 6.X, in the other hand dashbuilder and cxf (when running some jbpm unit tests) uses a jetty 7.X. And somewhere is used version 8.X. The idea to use define a unique version for org.eclipse.jetty:jetty-server and org.eclipse.jetty:jetty-utils in parent pom (kie-parent-with-dpendencies). 
NOTE this issue is already in discussion. This bug is basically a reminder.


Version-Release number of selected component (if applicable): 6.1.0


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Geoffrey De Smet 2013-10-16 07:37:21 EDT
drools-wb-webapp has compile scoped dependencies on several jetty modules. (Although I expect they might be filtered in the war assembly, this is bad.)


It's still the case, as you can see in kie-parent-with-dependencies:

    <version.org.eclipse.jetty>7.2.1.v20101111</version.org.eclipse.jetty>
    ...
    <version.org.mortbay.jetty>6.1.25</version.org.mortbay.jetty>
    <version.org.mortbay.jetty.runner>8.1.7.v20120910</version.org.mortbay.jetty.runner>
https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/blob/master/kie-parent-with-dependencies/pom.xml#L41



Who uses jetty in droolsjbpm?
=============================

Targets
    String 'jetty'
Found usages  (135 usages found)
    builder  (2 usages found)
        /dashboard-builder/builder  (2 usages found)
            pom.xml  (2 usages found)
                (38: 34) <groupId>org.mortbay.jetty</groupId>
                (39: 25) <artifactId>jetty-runner</artifactId>
    dashboard-showcase  (24 usages found)
        /dashboard-builder/modules/dashboard-showcase  (24 usages found)
            pom.xml  (24 usages found)
                (241: 17) <id>jetty</id>
                (263: 106) <!--java.lang.IllegalArgumentException: Cannot load class for org.jboss.weld.environment.jetty.WeldDecorator                 -->
                (266: 42) <groupId>org.eclipse.jetty</groupId>
                (267: 33) <artifactId>jetty-server</artifactId>
                (268: 52) <version>${version.org.eclipse.jetty}</version>
                (271: 50) <groupId>org.eclipse.jetty</groupId>
                (272: 41) <artifactId>jetty-continuation</artifactId>
                (275: 50) <groupId>org.eclipse.jetty</groupId>
                (276: 41) <artifactId>jetty-http</artifactId>
                (279: 50) <groupId>org.eclipse.jetty</groupId>
                (280: 41) <artifactId>jetty-io</artifactId>
                (286: 42) <groupId>org.eclipse.jetty</groupId>
                (287: 33) <artifactId>jetty-servlet</artifactId>
                (290: 50) <groupId>org.eclipse.jetty</groupId>
                (291: 41) <artifactId>jetty-security</artifactId>
                (297: 42) <groupId>org.eclipse.jetty</groupId>
                (298: 33) <artifactId>jetty-util</artifactId>
                (299: 52) <version>${version.org.eclipse.jetty}</version>
                (306: 46) <groupId>org.mortbay.jetty</groupId>
                (307: 37) <artifactId>jetty-maven-plugin</artifactId>
                (314: 34) <jettyEnvXml>${project.build.directory}/dashboard-showcase/WEB-INF/jetty-env.xml</jettyEnvXml>
                (314: 100) <jettyEnvXml>${project.build.directory}/dashboard-showcase/WEB-INF/jetty-env.xml</jettyEnvXml>
                (314: 115) <jettyEnvXml>${project.build.directory}/dashboard-showcase/WEB-INF/jetty-env.xml</jettyEnvXml>
                (334: 53) <include>**/jetty-env.xml</include>
    drools-camel-legacy5  (1 usage found)
        /droolsjbpm-integration/drools-camel-legacy5  (1 usage found)
            pom.xml  (1 usage found)
                (103: 83) <!-- TODO JBRULES-3026 use cxf-rt-frontend-jaxrs and cxf-rt-transports-http-jetty instead -->
    drools-camel-server-example  (1 usage found)
        /droolsjbpm-integration/drools-camel-server-example  (1 usage found)
            pom.xml  (1 usage found)
                (116: 83) <!-- TODO JBRULES-3026 use cxf-rt-frontend-jaxrs and cxf-rt-transports-http-jetty instead -->
    drools-infinispan-persistence  (2 usages found)
        /droolsjbpm-integration/kie-infinispan/drools-infinispan-persistence  (2 usages found)
            pom.xml  (2 usages found)
                (136: 28) <groupId>org.mortbay.jetty</groupId>
                (137: 19) <artifactId>jetty-embedded</artifactId>
    drools-wb-webapp  (7 usages found)
        /drools-wb/drools-wb-webapp  (7 usages found)
            pom.xml  (7 usages found)
                (519: 29) <artifactId>errai-cdi-jetty</artifactId>
                (525: 28) <groupId>org.mortbay.jetty</groupId>
                (526: 19) <artifactId>jetty</artifactId>
                (530: 28) <groupId>org.mortbay.jetty</groupId>
                (531: 19) <artifactId>jetty-plus</artifactId>
                (535: 28) <groupId>org.mortbay.jetty</groupId>
                (536: 19) <artifactId>jetty-naming</artifactId>
    jbpm-console-ng-showcase  (15 usages found)
        /jbpm-console-ng/jbpm-console-ng-showcase  (8 usages found)
            pom.xml  (8 usages found)
                (262: 29) <artifactId>errai-cdi-jetty</artifactId>
                (295: 28) <groupId>org.mortbay.jetty</groupId>
                (296: 19) <artifactId>jetty</artifactId>
                (300: 28) <groupId>org.mortbay.jetty</groupId>
                (301: 19) <artifactId>jetty-plus</artifactId>
                (311: 28) <groupId>org.mortbay.jetty</groupId>
                (312: 19) <artifactId>jetty-naming</artifactId>
                (655: 58) <extraJvmArgs>-Xmx2048m -XX:MaxPermSize=256m -Djetty.custom.sys.classes=bitronix;javax.transaction -Dorg.kie.demo=true -Dorg.kie.clean.onstartup=true</extraJvmArgs>
        /jbpm-console-ng/jbpm-console-ng-showcase/overlays/org.jbpm.jbpm-form-modeler-app-6.1.0-20130801.063912-13/META-INF/maven/org.jbpm/jbpm-form-modeler-app  (7 usages found)
            pom.xml  (7 usages found)
                (128: 17) <id>jetty</id>
                (133: 46) <groupId>org.mortbay.jetty</groupId>
                (134: 37) <artifactId>jetty-maven-plugin</artifactId>
                (142: 34) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (142: 103) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (142: 118) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (170: 53) <include>**/jetty-env.xml</include>
    jbpm-dashboard-distributions  (2 usages found)
        /jbpm-dashboard/jbpm-dashboard-distributions  (2 usages found)
            pom.xml  (2 usages found)
                (35: 34) <groupId>org.mortbay.jetty</groupId>
                (36: 25) <artifactId>jetty-runner</artifactId>
    jbpm-designer-client  (1 usage found)
        /jbpm-designer/jbpm-designer-client  (1 usage found)
            pom.xml  (1 usage found)
                (61: 29) <artifactId>errai-cdi-jetty</artifactId>
    jbpm-designer-standalone  (21 usages found)
        /jbpm-designer/jbpm-designer-standalone  (7 usages found)
            pom.xml  (7 usages found)
                (178: 29) <artifactId>errai-cdi-jetty</artifactId>
                (211: 28) <groupId>org.mortbay.jetty</groupId>
                (212: 19) <artifactId>jetty</artifactId>
                (216: 28) <groupId>org.mortbay.jetty</groupId>
                (217: 19) <artifactId>jetty-plus</artifactId>
                (227: 28) <groupId>org.mortbay.jetty</groupId>
                (228: 19) <artifactId>jetty-naming</artifactId>
        /jbpm-designer/jbpm-designer-standalone/overlays/org.jbpm.jbpm-form-modeler-app-6.0.0-20130729.071254-832/META-INF/maven/org.jbpm/jbpm-form-modeler-app  (7 usages found)
            pom.xml  (7 usages found)
                (127: 17) <id>jetty</id>
                (132: 46) <groupId>org.mortbay.jetty</groupId>
                (133: 37) <artifactId>jetty-maven-plugin</artifactId>
                (141: 34) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (141: 103) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (141: 118) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (169: 53) <include>**/jetty-env.xml</include>
        /jbpm-designer/jbpm-designer-standalone/overlays/org.jbpm.jbpm-form-modeler-app-6.1.0-20130801.063912-13/META-INF/maven/org.jbpm/jbpm-form-modeler-app  (7 usages found)
            pom.xml  (7 usages found)
                (128: 17) <id>jetty</id>
                (133: 46) <groupId>org.mortbay.jetty</groupId>
                (134: 37) <artifactId>jetty-maven-plugin</artifactId>
                (142: 34) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (142: 103) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (142: 118) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (170: 53) <include>**/jetty-env.xml</include>
    jbpm-form-modeler  (8 usages found)
        /jbpm-form-modeler/jbpm-form-modeler-showcase  (8 usages found)
            pom.xml  (8 usages found)
                (248: 29) <artifactId>errai-cdi-jetty</artifactId>
                (281: 28) <groupId>org.mortbay.jetty</groupId>
                (282: 19) <artifactId>jetty</artifactId>
                (286: 28) <groupId>org.mortbay.jetty</groupId>
                (287: 19) <artifactId>jetty-plus</artifactId>
                (297: 28) <groupId>org.mortbay.jetty</groupId>
                (298: 19) <artifactId>jetty-naming</artifactId>
                (626: 58) <extraJvmArgs>-Xmx2048m -XX:MaxPermSize=256m -Djetty.custom.sys.classes=bitronix;javax.transaction</extraJvmArgs>
    jbpm-form-modeler-app  (7 usages found)
        /jbpm-form-modeler/jbpm-form-modeler-core/jbpm-form-modeler-service/jbpm-form-modeler-app  (7 usages found)
            pom.xml  (7 usages found)
                (112: 17) <id>jetty</id>
                (117: 46) <groupId>org.mortbay.jetty</groupId>
                (118: 37) <artifactId>jetty-maven-plugin</artifactId>
                (126: 34) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (126: 103) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (126: 118) <jettyEnvXml>${project.build.directory}/jbpm-form-modeler-app/WEB-INF/jetty-env.xml</jettyEnvXml>
                (154: 53) <include>**/jetty-env.xml</include>
    jbpm-workitems  (1 usage found)
        /jbpm/jbpm-workitems  (1 usage found)
            pom.xml  (1 usage found)
                (122: 42) <artifactId>cxf-rt-transports-http-jetty</artifactId>
    kie-camel  (1 usage found)
        /droolsjbpm-integration/kie-camel  (1 usage found)
            pom.xml  (1 usage found)
                (104: 83) <!-- TODO JBRULES-3026 use cxf-rt-frontend-jaxrs and cxf-rt-transports-http-jetty instead -->
    kie-drools-wb-webapp  (7 usages found)
        /kie-wb-distributions/kie-drools-wb/kie-drools-wb-webapp  (7 usages found)
            pom.xml  (7 usages found)
                (537: 29) <artifactId>errai-cdi-jetty</artifactId>
                (543: 28) <groupId>org.mortbay.jetty</groupId>
                (544: 19) <artifactId>jetty</artifactId>
                (548: 28) <groupId>org.mortbay.jetty</groupId>
                (549: 19) <artifactId>jetty-plus</artifactId>
                (553: 28) <groupId>org.mortbay.jetty</groupId>
                (554: 19) <artifactId>jetty-naming</artifactId>
    kie-parent-with-dependencies  (25 usages found)
        /droolsjbpm-build-bootstrap/kie-parent-with-dependencies  (25 usages found)
            pom.xml  (25 usages found)
                (41: 26) <version.org.eclipse.jetty>7.2.1.v20101111</version.org.eclipse.jetty>
                (41: 69) <version.org.eclipse.jetty>7.2.1.v20101111</version.org.eclipse.jetty>
                (43: 26) <version.org.mortbay.jetty>6.1.25</version.org.mortbay.jetty>
                (43: 60) <version.org.mortbay.jetty>6.1.25</version.org.mortbay.jetty>
                (44: 26) <version.org.mortbay.jetty.runner>8.1.7.v20120910</version.org.mortbay.jetty.runner>
                (44: 76) <version.org.mortbay.jetty.runner>8.1.7.v20120910</version.org.mortbay.jetty.runner>
                (503: 30) <groupId>org.eclipse.jetty</groupId>
                (504: 21) <artifactId>jetty-servlet</artifactId>
                (505: 40) <version>${version.org.eclipse.jetty}</version>
                (515: 31) <artifactId>errai-cdi-jetty</artifactId>
                (589: 30) <groupId>org.mortbay.jetty</groupId>
                (590: 21) <artifactId>jetty</artifactId>
                (591: 40) <version>${version.org.mortbay.jetty}</version>
                (594: 30) <groupId>org.mortbay.jetty</groupId>
                (595: 21) <artifactId>jetty-plus</artifactId>
                (596: 40) <version>${version.org.mortbay.jetty}</version>
                (599: 30) <groupId>org.mortbay.jetty</groupId>
                (600: 21) <artifactId>jetty-naming</artifactId>
                (601: 40) <version>${version.org.mortbay.jetty}</version>
                (604: 30) <groupId>org.mortbay.jetty</groupId>
                (605: 21) <artifactId>jetty-embedded</artifactId>
                (606: 40) <version>${version.org.mortbay.jetty}</version>
                (609: 30) <groupId>org.mortbay.jetty</groupId>
                (610: 21) <artifactId>jetty-runner</artifactId>
                (611: 40) <version>${version.org.mortbay.jetty.runner}</version>
    kie-wb-webapp  (8 usages found)
        /kie-wb-distributions/kie-wb/kie-wb-webapp  (8 usages found)
            pom.xml  (8 usages found)
                (667: 29) <artifactId>errai-cdi-jetty</artifactId>
                (673: 28) <groupId>org.mortbay.jetty</groupId>
                (674: 19) <artifactId>jetty</artifactId>
                (678: 28) <groupId>org.mortbay.jetty</groupId>
                (679: 19) <artifactId>jetty-plus</artifactId>
                (689: 28) <groupId>org.mortbay.jetty</groupId>
                (690: 19) <artifactId>jetty-naming</artifactId>
                (960: 86) Djetty.
    spring-camel-drools-decision-table-example  (2 usages found)
        /droolsjbpm-integration/drools-osgi/droolsjbpm-osgi-examples/spring-camel-drools-decision-table-example  (2 usages found)
            pom.xml  (2 usages found)
                (199: 30) <groupId>org.mortbay.jetty</groupId>
                (200: 21) <artifactId>jetty-maven-plugin</artifactId>
Comment 5 Ryan Zhang 2014-02-19 06:36:17 EST
There is no jetty artifact in BPMS zip package. 
I would comment it not a high priority issue for 6.0.1.
Comment 8 manstis 2015-12-07 10:17:17 EST
We don't use Jetty for Hosted Mode now.

Note You need to log in before you can comment on or make changes to this bug.